I'm trying to get the code below to add all structural members with a certain PSD to a list box. I have a version that works perfectly with Acad3DSolids but can't adapt it to work with Structural members. I have referenced all of the AEC type libraries:
Dim ScheduleApp As New AecScheduleApplication
Dim cPropSets As AecSchedulePropertySets
Dim PropSet As AecSchedulePropertySet
Dim cProps As AecScheduleProperties
Dim prop As AecScheduleProperty
'This Will List Unique Structural Members With Property Set Data on
Dim intStruc As Integer
Dim strStrucDesc As String
Dim objStruc As AcadObject
For Each objStruc In ThisDrawing.ModelSpace
If TypeOf objStruc Is AecsMember Then
intStruc = intStruc + 1
Set cPropSets = ScheduleApp.PropertySets(objStruc)
If (cPropSets.intStruc > 0) Then
Set PropSet = cPropSets.Item("0cm-Style-StructuralMembers")
Set cProps = PropSet.Properties
Set prop = cProps.Item("FullDescription")
strStrucDesc = prop.Value
Select Case blnIsListedStruc(strStrucDesc) 'this whips over to a function
Case False
lstStructural.AddItem prop.Value
End Select
Else
MsgBox "No Descriptions Are Present", vbInformation, "Value Example"
End If
End If
Next
If (intStruc = 0) Then
MsgBox "No Structural Bits in Drawing"
End If
End Sub